# composition_cover.hxx File Reference

Composition (co-)cover algorithms for normalized and sub-normalized transducers seen as automaton over a free monoid. More...

Include dependency graph for composition_cover.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename S , typename T >
Element< S, T > | composition_cover (const Element< S, T > &fmp)
| Facade for composition cover.
template<typename S , typename T >
Element< S, T > | composition_co_cover (const Element< S, T > &fmp)
| Facade for composition co-cover.

## Detailed Description

Composition (co-)cover algorithms for normalized and sub-normalized transducers seen as automaton over a free monoid.

Author:
  Guillaume Leroi

Date:
  Sat Jul 22 18:03:02 2006

Definition in file composition_cover.hxx.